Bug 56323 - EDITING: Hang while scrolling through document
Summary: EDITING: Hang while scrolling through document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2012-10-23 14:24 UTC by Frantisek Erben
Modified: 2019-06-25 02:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test File (738.20 KB, application/zip)
2012-10-23 14:24 UTC, Frantisek Erben
Details
Sample of process (805.21 KB, application/zip)
2012-10-23 14:25 UTC, Frantisek Erben
Details
Screenshot of bad formated area (487.91 KB, image/png)
2012-10-23 14:25 UTC, Frantisek Erben
Details
Screen record - for playback use VLC (quality is poor due filesize limit :-) ) (2.72 MB, video/mp4)
2012-10-23 14:29 UTC, Frantisek Erben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frantisek Erben 2012-10-23 14:24:23 UTC
Created attachment 68948 [details]
Test File

Steps to Reproduce:
Open included TestFile, click into text in the right column (second row).
Keep press down arrow and move to the end of document.
Keep press up arrow and move on the top of document.

Actual Results:
While moving up hang for a several minutes in the middle of document - see included movie.

Expected Results:
Moving through document without any hangs.

Additional Information:
My Computer: iMac i5(3,1GHz), 12GB RAM, Mac OS X 10.7.5. 
There appear bad formated area without any specific reason - see screenshot.
I've attach some sample of process. 
I cannot reproduce it in LO 3.5.7, but everytime on 3.6.x

Workaround:
No.
Comment 1 Frantisek Erben 2012-10-23 14:25:12 UTC
Created attachment 68950 [details]
Sample of process
Comment 2 Frantisek Erben 2012-10-23 14:25:48 UTC
Created attachment 68951 [details]
Screenshot of bad formated area
Comment 3 Frantisek Erben 2012-10-23 14:29:20 UTC
Created attachment 68952 [details]
Screen record - for playback use VLC (quality is poor due filesize limit :-) )
Comment 4 Roman Eisele 2012-10-23 15:23:30 UTC
Comment on attachment 68948 [details]
Test File


(Fixed MIME type.)
Comment 5 Roman Eisele 2012-10-24 07:57:26 UTC
Thank you very much for your bug report!

I can reproduce the delay with LibreOffice 3.6.3.1 (on Mac OS X 10.6.8 Intel)
when scrolling (by pressing the down arrow) through the right column of your sample document; and indeed, the delay is *really* long and *really* annoying, I completely agree to you.

However, my first tests showed two differences to your report:
1 When I have scrolled once comletely through the document (and back),
  further attempts to scroll through the document in the same way
  work much faster -- no delay anymore (?).
  The delay returns when I close the document and open it again.
2 When testing the same with LibreOffice 3.5.7.1, I get a long delay,
  too, at least at one point (IIRC the same strangely formatted area
  which is shown on your screenshot, attachment 68951 [details]).
  Maybe this delay is not as long as in 3.6.3.1, but there *is* such
  a delay, of course.

Maybe I did something wrong in testing. But could you please check yourself
if you can share my observations, or if there is really a difference?

(No offence! I just want us to check these points before confirming the bug and forwarding it to the developers, because it can be important for fixing the bug if there is really a regression [2] and if the delay appears only directly after the opening the document.)

Thank you very much!
Comment 6 Frantisek Erben 2012-10-24 08:48:20 UTC
Hi Roman,

1) When I wait several minutes (~3 minutes) LO continue and after that I can scrolling through document without delay. After reopen file (without relaunch LO) delay appear again. In previous attepts I hadn't enough patience to wait :-), but it is really as you say, there is very, very long delay - so it is NOT infinite loop, but long delay. 

2) I've test it on LO 3.5.7.2 (build ID: 3215f89-f603614-ab984f2-7348103-1225a5b) but this problem occure if I scroll via mouse, not via up/down arrow.

So my ansver:
Q: There is really a regression?
A: No, but in LO 3.5 delay might occure less frequently.
Q: Appear the delay only directly after the opening the document.
A: Yes. After delay problem disappear until reopen the document.

When the delay occure (any version of LO), always appear formating bug similar as I attach to this bug in right column text.
Comment 7 tommy27 2014-10-25 12:57:38 UTC
hang while scrolling document reproducible under Win7x64 using LibO 3.6.0.4, 4.3.2.2 and 4.4.0.0+ 

bug not reproducible with 3.5.7.2 and 3.6.0.4
so I confirm this very old 3.6.x regression.

needs bibisecting.
Comment 8 Matthew Francis 2014-12-04 02:17:43 UTC
Unfortunately I can reproduce this reliably all the way back to 3.3.0. Rather than a regression, this is just a really old bug.

Removing Keywords:regression and Whiteboard:bibisectRequest
Comment 9 Gordo 2015-06-29 19:11:26 UTC
If you set the page view to single page and zoom out to about 60% then pages 7 and 8 have images in frames off to the right of the page.  Images have their width set to a percentage that is relative to the paragraph area.  Just opening the image dialogue and switching between the tabs and cancelling caused the images to appear.  Existing ones will change if you go into the dialogue and switch tabs and come out.

Still hangs for a few minutes.

Windows Vista 64
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Comment 10 QA Administrators 2016-09-20 10:14:30 UTC Comment hidden (obsolete)
Comment 11 Telesto 2016-11-16 13:23:42 UTC
I can confirm this bug on:
Version: 5.3.0.0.alpha1+
Build ID: bb50b1609abe83265311613db4a18e992dc666c8
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-14_23:25:25
Locale: nl-NL (nl_NL); Calc: CL

For me scrolling down is enough.
Comment 12 QA Administrators 2018-06-24 02:40:56 UTC Comment hidden (obsolete)
Comment 13 tommy27 2018-06-24 07:54:49 UTC
still hangs in LibO 6.0.4
did not try 6.1.x or 6.2.x master.
Comment 14 QA Administrators 2019-06-25 02:42:34 UTC
Dear Frantisek Erben,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug